Instalar QGIS 2.14 en Ubuntu 15.10

Crea, edita, visualiza, analiza y publica información geoespacial menciona QGIS (2.12 / 2.14) en su portal web, para instalar en Windows, tan solo basta descargar e instalar con un siguiente, siguiente y finalizar, pero si se requiere instalar en Ubuntu 15.10, el proceso es diferente, para la instalación se requiere ejecutar otros pasos, no tan amigables con usuarios iniciales, tampoco algo de mayor dificultad.

Lo primero es añadir los repositorios de QGIS, usando la Terminal ejecutamos el siguiente comando:

sudo gedit /etc/apt/sources.list

Al final del documento añadir los repositorios de QGIS (UbuntuGIS):

deb http://qgis.org/debian wily main
deb-src http://qgis.org/debian wily main

sino funciona usar:

deb http://qgis.org/ubuntugis wily main
deb-src http://qgis.org/ubuntugis wily main

(reemplazar wily por trusty o vivid para Unubtu 14.04 y 15.04 respectivamente)

Grabar y ejecutar una actualización de los repositorios con:

sudo apt-get update

Para instalar (actualizar) QGIS y sus paquetes ejecutar la siguiente línea:

sudo apt-get install qgis python-qgis qgis-plugin-grass

En algunos caso si no funciona (especialmente por versiones anteriores de QGIS), el paquete de python-qgis no se actualiza, por lo tanto no funciona al 100%. Para comprobar el paquete correspondiente a la versión de QGIS desde la Terminal ejecutar el siguiente comando:

dpkg -s python-qgis

Si la versión de QGIS es diferente, actualizar a través de este comando en la Terminal:

sudo apt-get install python-qgis

Para instalar QGIS en Ubuntu 16.04, abrir la terminal y ejecutar los siguientes comandos:

sudo apt-get update
sudo apt-get install qgis

franzpc

One thought on “Instalar QGIS 2.14 en Ubuntu 15.10”

  1. Cuau dice:

    Hola Franz, excelente post como siempre. Quiero aprovechar este post para preguntarte como ha sido tu experiencia usando Qgis en ubuntu. Te comento que ultimamente he estado tratando de trabajar en Qgis desde ubuntu 16.04 y la verdad es que he me llevado gran decepción. Especificamente he querido clasificar una imagen landsat 8 haciendo uso del semi automatic classification plugin y me he topado con que al momento de “correr” los procesos el Qgis se me cierra de repente y despues me aparece un mensaje de error de ubuntu haciendo referencia a los binarios de Qgis. Sin embargo al usar la misma herramienta con la misma versión de Qgis pero en windows 8.1 no tengo ningún problema. Este mismo problema se me presenta al momento de realizar geoprocesos como buffers e intercecciones entre shapes, en los cuales también colapsa Qgis y en el mejor de los casos los hace despues de varios minutos (muchos mas en comparación con windows). Espero no fastidiarte con mi caso y felicidades por tus posts. Saludos!

    1. franzpc dice:

      Gracias, hasta el momento no he tenido problemas usando QGIS en Ubuntu, tampoco he realizado los mismos procesos a los que te refieres. Con geoprocesos me trabaja bien, anteriormente he tenido problemas, pero no recuerdo exactamente. Hay que tomar en cuenta tener la versión correcta de python de cada versión de QGIS.

Comments are closed.

Carrito

Últimas publicaciones

  • 5 Tips y sugerencias para clasificar imágenes con el PlugIn SCP en QGIS
  • Crear automáticamente un mapa de uso del suelo en QGIS
  • Dibujando en QGIS con mayor precisión que AutoCAD
  • Identificando y cuantificando cambios del uso de la tierra en línea
  • Monitoreo ambiental online utilizando un Geoportal
  • Manual PDF Prácticas de QGIS
  • Descargar ArcGIS Pro
  • Libro PDF: Teledetección Espacial
  • Diferencias entre un DSM, DEM & DTM
  • ¿Qué son las distancias geodésicas?
  • El GeoAmor mueve millones
  • Limitaciones o desafíos de los SIG

Suscríbete al blog

Introduce tu correo electrónico para recibir las últimas publicaciones.

Únete a otros 435 suscriptores